/*-
 * Copyright (C)2009..2024 @BABOLO http://www.babolo.ru/
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: jailup.h,v 1.4 2024/09/29 03:41:27 babolo Exp $
 */

#define    NAMELENMAX 128
#define    SHELL      "/bin/sh"

#ifdef PREFIX
#   define STARTUPDIR PREFIX"/etc/jailup"
#   define JAILUPRC   STARTUPDIR"/rc"
#endif

enum jstat {jstop, jrstp, jrstr, jstar, jsmax};

#define JSTOP   (1U << jstop)     /* execute stop                            */
#define JRSTP   (1U << jrstp)     /* execute restop                          */
#define JRSTR   (1U << jrstr)     /* execute restart                         */
#define JSTAR   (1U << jstar)     /* execute start                           */
#define JRABL   0x8000U           /* entry not disabled (first space in line */
#define NORSTP  JSTOP
#define NORSTR  (JSTOP | JSTAR)

/* flags */
#define FORCE   0x4000U
#define NORUN   0x2000U
